#ifndef SCOREBOARD_H
#define SCOREBOARD_H

#include <QMainWindow>
#include <QList>
#include "ScoreButton.h"

class ScoreBoard : public QMainWindow
{
    Q_OBJECT

public:
    ScoreBoard();
	
	
public slots:
	void addButton(int	buttonID, bool above);
	void deleteButton(int	buttonID);
	void moveUpButton(int	buttonID);
	void moveDownButton(int	buttonID);
	void rankButtons();
	
private slots:
	void newFile();
    void open();
	void save();
	void saveAs();
	
	void toggleTopmost();
	
    void about();
	

	
	


private:
	enum {MagicNumber = 0x99887767};
    void createActions();
    void createMenus();
    void updateActions();
	bool saveToFile(QString name);
	bool loadFile(QString name);
	void populateCentralWidget();
	void resetButtonID();
	
	
	QAction *newFileAct;
    QAction *openAct;
	QAction *saveAct;
	QAction	*saveAsAct;
    QAction *exitAct;
	
	QAction *toggleTopmostAct;
	
	QAction *rankButtonsAct;
	
    QAction *aboutAct;


    QMenu *fileMenu;
	QMenu *viewMenu;
    QMenu *helpMenu;
	
	
	//QWidget	*centralWidget;
	QString	fileName;
	QList	<ScoreButton *> groupList;

};

#endif
