#ifndef	SCOREBUTTON_H
#define SCOREBUTTON_H
#include <QWidget>
#include <QList>

#define	TEAMICON_SIZE	64
class	QToolButton;
class	QLabel;
class	QPixmap;
class	SmileyButton;


class ScoreButton : public QWidget
{
    Q_OBJECT
public:
    ScoreButton(QWidget *parent = 0, Qt::WFlags f = 0);
	void	setButtonID(int newID);
	int		getButtonID()	const;

	QLabel			*scoreLabel;
	QLabel			*nameLabel;	
	void	copyTo(ScoreButton* target);
	QPixmap			*teamIcon;
	
	void			setPreviewMode();
	
public slots:
	void	updateScore();
	void	updateAll();
	
	
    void	setTeamName(const QString &newTeamName);
	QString	getTeamName()	const;
	void	setTeamScore(const	int	score);
	int		getTeamScore();
	
	void	showTeamIcon(bool show);
	bool	teamIconShown() const;
	void	setIconSize(const QSize& size);
	QSize	getIconSize() const;
	
	void	setTeamIcon(const QPixmap& newIcon);
	void	setNumberOfSmiley(const int num);
	int		getNumberOfSmiley()	const;
	
	void	increaseScore();
	void	decreaseScore();
	
private slots:
	void	addGroup();
	void	editGroup();
	void	deleteGroup();
	
	void	moveUpGroup();
	void	moveDownGroup();
	
signals:
	void	scoreChanged(int newScore);
	void	addButton(int buttonID, bool above);
	void	deleteButton(int buttonID);

	void	moveUpButton(int buttonID);
	void	moveDownButton(int buttonID);
	
protected:
	void contextMenuEvent(QContextMenuEvent * e);
	
private:
	void	setupLayout();
	

	QToolButton		*increaseScoreButton;
	QToolButton		*decreaseScoreButton;

	
	QLabel			*teamIconLabel;

	

	QList	<SmileyButton*>	smiley;
	

    QString			teamName;
	bool			previewMode;
	bool			boolShowTeamIcon;
	int				teamScore;
	int				buttonID;
	
};
#endif
