#include <QtGui>
#include <QToolButton>
#include "SmileyButton.h"

SmileyButton::SmileyButton(QWidget *parent) 
	: QToolButton(parent)
{
	happyIcon = new QIcon(":/images/smiley_happy.png");
	sadIcon = new QIcon(":/images/smiley_sad.png");
	
	happyFace = true;
	setAutoRaise(true);
	setIcon(*happyIcon);
	setIconSize(QSize(22,22));
	connect(this, SIGNAL(clicked()), this, SLOT(toggleIcon()));
}

bool SmileyButton::isHappy()	const
{
	return	happyFace;
}

void SmileyButton::setHappy(const bool happy)
{
	happyFace = happy;
	setFace(happyFace);
}

void SmileyButton::setFace(const bool happy)
{
	if(happy)
	{
		this->setIcon(*happyIcon);
	}
	else
	{
		this->setIcon(*sadIcon);
	}
}

void SmileyButton::toggleIcon()
{
	happyFace=!happyFace;
	setFace(happyFace);
}
